cracklib2 (2.9.6-2endless1) UNRELEASED; urgency=low

  * Merge from Debian buster.

 -- Merge-o-Matic <mom@endlessm.com>  Sat, 05 Jan 2019 00:34:38 -0800

cracklib2 (2.9.6-2) unstable; urgency=medium

  * Add missing 2.9.6-1 changelog bug tracker references
  * Add patch by Helmut Grohne to fix FTBFS with nopython build profile
    (Closes: #917835)
  * debian/control: Bump Standards-Version to 4.3.0 (no changes)
  * Apply patch by Helmut Grohne to fix FTCBFS (Closes: #913401)
    + Multiarchify python Build-Depends
    + Tell setup.py what to cross for
    + Honour DEB_BUILD_OPTIONS=nocheck

 -- Jan Dittberner <jandd@debian.org>  Mon, 31 Dec 2018 12:04:32 +0100

cracklib2 (2.9.6-1) unstable; urgency=medium

  [ Jan Dittberner ]
  * New upstream version (Closes: #906935)
  * Lintian fix: add missing symbols to debian/libcrack2.symbols
  * Update VCS and Homepage URLs in debian/control
  * Update copyright information in debian/copyright
  * Fix lintian warning override_dh_auto_test-does-not-check-
    DEB_BUILD_OPTIONS
  * Add DEB_BUILD_MAINT_OPTIONS for hardening
  * Update debian/watch file to use the github release page
  * debian/control: Bump Standards Version to 4.1.5
    - remove Priority: extra for libcrack2-dev
  * Apply patch by Chris Lamb to make contents of /var/cache/cracklib/src-dict
    reproducible by sorting the file lists (Closes: #865623)
  * Bump debian/compat level and debhelper dependency to 10
  * Remove --with_autotools_dev use debhelper dh_update_autotools_config
    instead
  * Fix "FTBFS if built twice in a row: aborting due to unexpected
    upstream changes" by removing config.h.in that is regenerated by
    autoheader (Closes: #839532)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Jan Dittberner ]
  * Remove useless autotools-dev from Build-Depends to fix lintian
    warning

 -- Jan Dittberner <jandd@debian.org>  Fri, 28 Dec 2018 23:19:25 +0100

cracklib2 (2.9.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for a "nopython" build-profile. (Closes: #894385, Closes:
    #891868)

 -- Karsten Merker <merker@debian.org>  Sun, 01 Apr 2018 15:31:33 +0200

cracklib2 (2.9.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove the ":native" annotation from the "cracklib-runtime <cross>"
    build-dependency. (Closes: #891803)

 -- Karsten Merker <merker@debian.org>  Wed, 21 Mar 2018 22:39:38 +0100

cracklib2 (2.9.2-5endless1) eos; urgency=medium

  * Rebase on Debian stretch, remaining changes:
    - debian/*
      + Don't use /var/cache to store DB, use /usr/share instead

 -- Daniel Drake <drake@endlessm.com>  Wed, 29 Nov 2017 16:39:44 +0000

cracklib2 (2.9.2-5) unstable; urgency=medium

  * Add Breaks: cracklib-runtime (<< 2.9.2-4) to libcrack2 to configure
    cracklib-runtime in the correct order (Closes: #854554)

 -- Jan Dittberner <jandd@debian.org>  Sat, 27 May 2017 11:41:18 +0200

cracklib2 (2.9.2-4) unstable; urgency=medium

  * Migrate triggers to interest-noawait to avoid trigger-cycles (Closes:
    #859307)

 -- Jan Dittberner <jandd@debian.org>  Sat, 08 Apr 2017 13:25:28 +0200

cracklib2 (2.9.2-3) unstable; urgency=medium

  * Fix "Buffer overflow processing long words" by applying patch from
    https://build.opensuse.org/package/view_file/Base:System/cracklib/
    0004-overflow-processing-long-words.patch (Closes: #835386)
  * remove obsolete debian/pycompat
  * change Vcs-* fields to https variants
  * Bump Standards-Version to 3.9.8 (no changes)
  * Fix "FTCBFS: invokes host-arch executable cracklib-packer" by applying
    Helmut Grohne's patch to fix cross compilation (Closes: #792860)

 -- Jan Dittberner <jandd@debian.org>  Thu, 25 Aug 2016 17:29:17 +0200

cracklib2 (2.9.2-2) unstable; urgency=medium

  * Fix "CVE-2016-6318: Stack-based buffer overflow when parsing large
    GECOS field" by applying patch by Salvatore Bonaccorso (Closes: #834502)

 -- Jan Dittberner <jandd@debian.org>  Tue, 23 Aug 2016 18:50:44 +0200

cracklib2 (2.9.2-1) unstable; urgency=medium

  * New upstream version (Closes: #724570)
  * refresh debian/patches/install-debian-python-modules.patch
  * bump Standards-Version to 3.9.6 (No changes)
  * upstream supports out of tree builds, simplify debian/rules
    override_dh_auto_build and override_dh_auto_clean
  * remove debian/test_cracklib.py that is now included as
    python/test_cracklib.py
  * remove compile and python/cracklib.egg-info in debian/rules
    override_dh_auto_clean to avoid unintended upstream changes
  * add README-DAWG and README-LICENSE to debian/libcrack2.docs
  * change debian/copyright to machine readable format

 -- Jan Dittberner <jandd@debian.org>  Sun, 05 Oct 2014 23:48:30 +0200

cracklib2 (2.9.1-1) unstable; urgency=medium

  * New upstream version
  * refresh debian/patches/libcrack2-error-safer-check-variant.patch
  * debian/control:
    - bump Standards-Version to 3.9.5 (No changes)
    - run wrap-and-sort
  * add debian/patches/improve_test_737040.patch to check for proper behavior
    of Python low level code
  * Fix "python-cracklib accepts anything" by modifying
    debian/patches/libcrack2-error-safer-check-varian.patch to perform proper
    error message copying (Closes: #737040)

 -- Jan Dittberner <jandd@debian.org>  Sat, 01 Feb 2014 21:11:22 +0100

cracklib2 (2.9.0-2) unstable; urgency=low

  [ Jan Dittberner ]
  * Fix "Please add a udeb for early password quality checking in d-i"
    (Closes: #658089)
  * add udeb package stanza in debian/control
  * bump compatibility level in debian/compat to 9
  * debian/rules:
    - move sequence before args in dh call
    - copy files for libcrack2-udeb
    - include compiled cracklib dictionary in udeb

  [ Eleanor Chen ]
  * Add "stage1" support to not build python bits during bootstrapping.
    (Closes: #721354)

  [ Martin Pitt ]
  * debian/control: Wrap build dependencies.
  * Add missing docbook-xml build dependency. (Closes: #724842)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2013 08:11:31 +0200

cracklib2 (2.9.0-1) unstable; urgency=low

  * New upstream version
    - refresh debian/patches/libcrack2-error-safer-check-variant.patch
    - add new FascistCheckUser to debian/libcrack2.symbols
    - update library link in debian/libcrack2.links
  * debian/control: use canonical VCS-* URLs
  * Fix "Build for multiarch" (Closes: #679962)
    - add multiarch support contributed by Iain Lane
    - Use docbook2html instead of xmlto, for determinstic output.
    - Fix non-SGML characters in cracklib-runtime.xml
    - remove debian/libcrack2.links

 -- Jan Dittberner <jandd@debian.org>  Mon, 12 Aug 2013 10:36:09 +0200

cracklib2 (2.8.22-1) unstable; urgency=low

  * New upstream version.
  * Fix "FTBFS with Python 3.3: ImportError: No module named
    '_cracklib'" with upstream changes (Closes: #681749)
  * refresh debian/patches/install-debian-python-modules.patch and
    debian/patches/libcrack2-error-safer-check-variant.patch
  * drop debian/patches/pass-dict-to-cracklib-test.patch included in new
    upstream version, remove line from debian/patches/series
  * Bump Standards-Version to 3.9.4 (No changes necessary)

 -- Jan Dittberner <jandd@debian.org>  Sun, 19 May 2013 11:02:35 +0200

cracklib2 (2.8.19-2) unstable; urgency=low

  * add debian/patches/libcrack2-error-safer-check-variant.patch to provide
    __DEBIAN_SPECIFIC__SafeFascistCheck that does not call exit (Closes:
    #682735)
  * add __DEBIAN_SPECIFIC__SafeFascistCheck to debian/libcrack2.symbols

 -- Jan Dittberner <jandd@debian.org>  Tue, 02 Oct 2012 09:15:16 +0200

cracklib2 (2.8.19-1) unstable; urgency=low

  * New upstream version
  * remove debian/patches/top-500-worst-passwords.patch, applied
    upstream
  * add autotools-dev to Build-Depends
  * debian/rules:
    - use aclocal, libtoolize, automake and autoreconf instead of autogen.sh
    - do not remove config.h.in
    - add autotools_dev to dh --with options
    - build in debian/buildtmp/{base,pythonX.Y}
    - build and install Python code using setup.py
    - run Python tests
  * enable hardening build flags
    - add dpkg-dev (>= 1.16.1~) to Build-Depends
    - add DPKG_EXPORT_BUILDFLAGS=1 and include
      /usr/share/dpkg/buildflags.mk in debian/rules
  * remove debian/tmp/* from debian/cracklib-runtime.install, remove
    debian/libcrack2-dev.install, remove debian/libcrack2.install
  * add debian/test_cracklib.py with unit tests (missing in upstream
    tarball)
  * add debian/patches/install-debian-python-modules.patch to install
    debian/test_cracklib.py and debian/crack.py
  * add debian/patches/pass-dict-to-cracklib-test.patch to allow running
    Python tests using a specific dictionary
  * add Python3 support
    - debian/control:
      - add new binary package python3-cracklib
      - add python3-all-dev (>= 3.1.3-2~) and python3-setuptools to
        Build-Depends
    - debian/rules:
      - add python3 to dh --with options
      - add override_dh_python2 and override_dh_python3 to run
        dh_python2 for python-cracklib and dh_python3 for python3-cracklib
        only
      - define PY3VERS and use it for configuring, building, testing and
        installing python3-cracklib

 -- Jan Dittberner <jandd@debian.org>  Sun, 20 May 2012 01:24:02 +0200

cracklib2 (2.8.18-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Extend the tiny example wordlist included with the cracklib package
    itself with the words from the list of "The Top 500 Worst Passwords
    of All Time" [1], modulo the ones that fail the regular cracklib tests
    anyway (Closes: 657464).
    [1] <http://www.whatsmypass.com/the-top-500-worst-passwords-of-all-time>
  * Move the /usr/share/cracklib/cracklib-small wordlist file from the
    libcrack2 to the cracklib-runtime package and install it into
    /usr/share/dict. So there will always be at least the tiny example
    wordlist to compile a database from, even if no other package providing
    a wordlist (though recommended) is installed.
  * Do not install the /usr/share/cracklib/cracklib.magic file anymore.
    It was installed in the wrong location anyway and the file(1) tool
    is able to independently detect cracklib databases since at least 2005.
  * Remove config.h.in in the clean rule in debian/rules,
    fixes FTBFS twice in a row.

  [ Jan Dittberner ]
  * update patch debian/patches/top-500-worst-passwords.patch to add
    additional words suggested by Fabian to dicts/cracklib-small

 -- Jan Dittberner <jandd@debian.org>  Fri, 27 Jan 2012 15:38:32 +0100

cracklib2 (2.8.18-3) unstable; urgency=low

  * switch from python-support to dh_python2
    - remove python-support and python-all from Build-Depends
    - remove XS-Python-Version, remove XB-Python-Version from
      python-cracklib stanza
    - add --with python2 to dh invocation
    - bump minimum required python-all-dev version to 2.6.6-3~
  * bump Standards-Version to 3.9.2 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Sat, 11 Jun 2011 22:29:23 +0200

cracklib2 (2.8.18-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 13:06:26 +0100

cracklib2 (2.8.18-1) experimental; urgency=low

  * New upstream version.
  * remove debian/patches/596281-fix-python-extension-segfault.patch and
    debian/patches/series, patch has been applied upstream

 -- Jan Dittberner <jandd@debian.org>  Thu, 30 Sep 2010 19:43:41 +0200

cracklib2 (2.8.16-4) unstable; urgency=low

  * debian/control: remove Conflicts, Provides and Breaks refering to versions
    and packages before Lenny, keep python-cracklib's Conflicts with
    python-crack to force deinstallation of transitional package

 -- Jan Dittberner <jandd@debian.org>  Mon, 13 Sep 2010 19:00:03 +0200

cracklib2 (2.8.16-3) unstable; urgency=low

  * debian/control: update to Standards-Version to 3.9.1
    - use Breaks instead of Conflicts for libcrack2's incompatibility with
      cracklib2 (<< 2.8.12-1) and libcrack2-dev's incompatibility with
      cracklib2-dev (<< 2.8.12-1)
  * add debian/patches/596281-fix-python-extension-segfault.patch: in
    cracklib-python's C module, make sure we initialize defaultdict to
    NULL at the start of _cracklib_FascistCheck. This fixes a bug where
    that variable was freed when not NULL without ever having been
    assigned any value to.  This happened when we called FascistCheck()
    with a dictionary path of our own. Thanks to Peter Palfrader for the
    patch (Closes: #596281).

 -- Jan Dittberner <jandd@debian.org>  Fri, 10 Sep 2010 18:44:23 +0200

cracklib2 (2.8.16-2) unstable; urgency=low

  * fix bashism in debian/rules (Closes: #581479)

 -- Jan Dittberner <jandd@debian.org>  Thu, 13 May 2010 11:58:43 +0200

cracklib2 (2.8.16-1) unstable; urgency=low

  * use LC_COLLATE=C for speedup dictionary sorts (Closes: #569081)
  * new Upstream release
  * remove debian/patches/03-packer-dont-print-skipping-line.patch,
    debian/patches/svn-r152-python-use-translations.patch and
    debian/patches/series. All patches have been applied upstream

 -- Jan Dittberner <jandd@debian.org>  Wed, 03 Mar 2010 11:54:55 +0100

cracklib2 (2.8.15-9) unstable; urgency=low

  * fix wrong paths in debian/cracklib-runtime.preinst

 -- Jan Dittberner <jandd@debian.org>  Thu, 04 Feb 2010 18:11:47 +0100

cracklib2 (2.8.15-8) unstable; urgency=low

  * remove old logcheck ignore.d.{workstation,server} conffiles in
    preinst script (thanks for the hint to Hannes von Haugwitz)
  * debian/control:
   - remove Build-Depends-Indep and add python-setuptools to Build-Depends
   - remove python-crack transitional binary package
   - extend python-cracklib Conflicts to all python-crack versions
   - add python-cracklib Replaces python-crack

 -- Jan Dittberner <jandd@debian.org>  Thu, 04 Feb 2010 17:45:36 +0100

cracklib2 (2.8.15-7) unstable; urgency=low

  * remove debian/cracklib-runtime.logcheck.ignore.{server,workstation}
    because both server and workstation levels of logcheck include
    paranoid level rules (Closes: #567476)
  * debian/control: update Standards-Version to 3.8.4 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Wed, 03 Feb 2010 18:18:23 +0100

cracklib2 (2.8.15-6) unstable; urgency=low

  * debian/control: set Recommends for cracklib-runtime to wamerican |
    wordlist instead of wordlist only to provide a sane default for
    installations that have no existing wordlist (Closes: #566099)

 -- Jan Dittberner <jandd@debian.org>  Sun, 24 Jan 2010 00:31:43 +0100

cracklib2 (2.8.15-5) unstable; urgency=low

  * switch packaging to git
  * debian/control: replace Vcs-Svn with Vcs-Git, change Vcs-Browser

 -- Jan Dittberner <jandd@debian.org>  Tue, 29 Dec 2009 12:52:10 +0100

cracklib2 (2.8.15-4) unstable; urgency=low

  * remove explicit quilt usage. quilt is implicitly used for source
    format 3.0 (quilt)
  * debian/control:
    - remove quilt from Build-Depends
  * debian/rules:
    - remove --with quilt
  * remove debian/README.source

 -- Jan Dittberner <jandd@debian.org>  Tue, 01 Dec 2009 22:08:47 +0100

cracklib2 (2.8.15-3) unstable; urgency=low

  * debian/rules: install egg-info for python-cracklib
  * debian/control: add Build-Depends-Indep: python-setuptools to allow
    egg_info generation

 -- Jan Dittberner <jandd@debian.org>  Mon, 23 Nov 2009 19:38:18 +0100

cracklib2 (2.8.15-2) unstable; urgency=low

  * add debian/patches/svn-r152-python-use-translations.patch to use
    cracklib translations in the Python binding (Closes: #557390) and
    update debian/patches/series accordingly

 -- Jan Dittberner <jandd@debian.org>  Sat, 21 Nov 2009 22:20:26 +0100

cracklib2 (2.8.15-1) unstable; urgency=low

  * New upstream release
    - license changed to LGPL
    - integrate patch 01-use-src-path-for-python.patch from 2.8.14-1
  * debian/copyright: updated licensing information
  * remove debian/patches/01-usr-src-path-for-python.patch included in
    upstream release, update debian/patches/series

 -- Jan Dittberner <jandd@debian.org>  Thu, 19 Nov 2009 07:52:09 +0100

cracklib2 (2.8.14-1) unstable; urgency=low

  * New upstream release
    - integrate Debian patches
    - added and updated translations
    - improved Python binding
  * remove patches debian/patches/01-cracklib-format-optim.patch,
    debian/patches/02-ccwarnings.patch and
    debian/patches/04-enable-gettext.patch that have been applied
    upstream, update debian/patches/series accordingly
  * debian/patches/03-packer-dont-print-skipping-line.patch annotated with
    DEP-3 tags
  * add debian/patches/01-use-src-path-for-python.patch to allow building
    Python extension outside the source folder
  * debian/copyright: update upstream copyright
  * debian/libcrack2.install, debian/libcrack2.links: update library
    version to 2.8.1
  * debian/libcrack2.symbols: add GetDefaultCracklibDict

 -- Jan Dittberner <jandd@debian.org>  Wed, 18 Nov 2009 19:03:01 +0100

cracklib2 (2.8.13-13) unstable; urgency=low

  * debian/changelog: use "Closes" instead of wrong "fixes" for 2.8.13-12
  * switch to python-support
  * add debian/python-cracklib.preinst to call pycentral on first update
  * debian/control:
    - update Standards-Version to 3.8.3 (no changes needed)
    - add ${misc:Depends}
    - update debhelper dependency version
    - replace Build-Depends python-central with python-support
  * debian/rules:
    - switch to dh7
    - install NEWS as upstream changelog
  * add debian/source/format to switch to 3.0 (quilt) source format

 -- Jan Dittberner <jandd@debian.org>  Sat, 14 Nov 2009 23:10:41 +0100

cracklib2 (2.8.13-12) unstable; urgency=low

  * debian/rules: remove config.guess and config.sub in clean target
    (Closes: #539550)

 -- Jan Dittberner <jandd@debian.org>  Sat, 01 Aug 2009 22:52:31 +0200

cracklib2 (2.8.13-11) unstable; urgency=low

  * debian/rules:
    - remove more autogenerated files in debian/rules (fixes
      Lintian warning)
  * debian/control:
    - change Maintainer email address to new DD account
  * debian/cracklib-check.8, debian/libcrack2.xml, debian/cracklib-
    runtime.xml, debian/create-cracklib-dict.8, debian/copyright:
    - update email address

 -- Jan Dittberner <jandd@debian.org>  Fri, 24 Jul 2009 00:14:50 +0200

cracklib2 (2.8.13-10) unstable; urgency=low

  * debian/control:
    - update Standards-Version to 3.8.2 (no changes necessary)
    - make python-cracklib depend on cracklib-runtime (Closes: #533194)

 -- Jan Dittberner <jan@dittberner.info>  Thu, 25 Jun 2009 09:20:25 +0200

cracklib2 (2.8.13-9) unstable; urgency=low

  * debian/control: update Standards-Version to 3.8.1 (no changes
    necessary)
  * debian/compat: update debhelper compatibility to 7 to make Lintian
    happy
  * remove debian/libcrack2.postinst, debian/libcrack2.prerm and
    debian/cracklib-runtime.prerm and modify debian/cracklib-
    runtime.postinst to fix postinst-has-useless-call-to-install-docs
    and prerm-has-useless-call-to-install-docs Lintian warnings

 -- Jan Dittberner <jan@dittberner.info>  Sun, 24 May 2009 20:10:42 +0200

cracklib2 (2.8.13-8) unstable; urgency=low

  * debian/cracklib-runtime.postinst: add call to install-docs and add
    debian/cracklib-runtime.prerm, debian/libcrack2.prerm,
    debian/libcrack2.postinst to add missing calls to install-docs (fixes
    4 lintian errors)

 -- Jan Dittberner <jan@dittberner.info>  Tue, 17 Mar 2009 21:23:51 +0100

cracklib2 (2.8.13-7) unstable; urgency=low

  [ Jan Dittberner ]
  * debian/control: remove duplicate Priority field of python-cracklib
    and Section field of libcrack2
  * remove debian/libcrack2.postinst and debian/libcrack2.postrm as
    their functionality is automatically generated by debhelper

  [ Alessio Treglia ]
  * debian/rules: Include /usr/share/python/python.mk and use py_sitename_sh
    macro, so that installation will work correctly with the forthcoming
    Python 2.6 as well. (LP: #342383)

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Mar 2009 10:04:28 +0100

cracklib2 (2.8.13-6) unstable; urgency=low

  * add more verbose descriptions to libcrack2-dev and python-cracklib
    (fixes Lintian info)
  * change debhelper dependency to (>= 7) to allow the use of dh_prep and make
    lintian happy
  * debian/control: switch Vcs-Browser to viewsvn

 -- Jan Dittberner <jan@dittberner.info>  Sun, 22 Feb 2009 00:22:17 +0100

cracklib2 (2.8.13-5) unstable; urgency=low

  * add debian/cracklib-runtime.triggers to get triggered by installation
    of dictionary files
  * add trigger support to debian/cracklib-runtime.postinst and change
    code structure to avoid duplication

 -- Jan Dittberner <jan@dittberner.info>  Wed, 31 Dec 2008 15:03:29 +0100

cracklib2 (2.8.13-4) unstable; urgency=low

  * debian/update-cracklib: add a check whether all installed
    dictionaries were used to create the existing cracklib dictionary
    (Closes: #508255 and LP: #304307)
  * add descriptions to the quilt patches (fixes lintian warnings)

 -- Jan Dittberner <jan@dittberner.info>  Tue, 09 Dec 2008 22:13:20 +0100

cracklib2 (2.8.13-3) unstable; urgency=low

  * debian/patches/04-enable-gettext.patch fixes gettext not correctly
    initialized (Closes: #503826) thanks to Marc Dequènes

 -- Jan Dittberner <jan@dittberner.info>  Tue, 28 Oct 2008 20:50:24 +0100

cracklib2 (2.8.13-2) unstable; urgency=low

  [ Steve Langasek ]
  * debian/update-cracklib: don't rely on [ -nt ] to return true when
    the second file is non-existent, since this fails under dash.
    LP: #278743.

  [ Jan Dittberner ]
  * integrate Ubuntu bugfix

 -- Jan Dittberner <jan@dittberner.info>  Sun, 19 Oct 2008 23:23:19 +0200

cracklib2 (2.8.13-1) unstable; urgency=low

  * new upstream release
  * removed debian/patches/04-improved-python-binding.patch, it has been
    included upstream
  * refreshed debian/patchs/02-ccwarnings.patch
  * change debian/rules to use lib in top_builddir
  * use set -e in debian/cracklib-runtime.preinst to fix lintian warning
    maintainer-script-ignores-errors

 -- Jan Dittberner <jan@dittberner.info>  Sat, 27 Sep 2008 14:37:35 +0200

cracklib2 (2.8.12-8) unstable; urgency=low

  * provide a python-crack wrapper to mimic the behavior of the python-
    crack package in Etch (Closes: #499056)
  * fix inconsistent spaces vs. tabs usage in
    debian/cracklib-runtime.cron.daily
  * fix logcheck rules' regexes
  * debian/control
    - python-cracklib Provides python-crack and Conflicts with
      python-crack (<< 2.8.12-1)
    - add transitional package python-crack to easy Etch migration

 -- Jan Dittberner <jan@dittberner.info>  Mon, 15 Sep 2008 23:29:03 +0200

cracklib2 (2.8.12-7) unstable; urgency=low

  * fixes global name 'default_dictpath' is not defined (Closes: #499013)

 -- Jan Dittberner <jan@dittberner.info>  Mon, 15 Sep 2008 20:45:25 +0200

cracklib2 (2.8.12-6) unstable; urgency=low

  * add debian/libcrack2.symbols containing versioned symbols for
    libcrack2
  * debian/copyright
    - updated maintainer information
    - removed shared libraries and headers from Modifications as they are
      provided by upstream
  * change cracklib-runtime's daily cron job's log output if no change
    happens and update logcheck rules accordingly (Closes: #498354)
  * debian/rules
    - add dh_installlogcheck to binary-common

 -- Jan Dittberner <jan@dittberner.info>  Wed, 10 Sep 2008 23:28:54 +0200

cracklib2 (2.8.12-5) unstable; urgency=low

  * remove debian/patches/05-use-autogen_sh.patch because of the valuable
    input from debian-mentors
  * remove the files modified or added by ./autogen.sh
  * debian/rules uses autogen.sh again
  * debian/control
    - re-add libtool, autoconf, and automake to build dependencies

 -- Jan Dittberner <jan@dittberner.info>  Mon, 25 Aug 2008 22:48:18 +0200

cracklib2 (2.8.12-4) unstable; urgency=low

  * add debian/patches/05-use-autogen_sh.patch instead of calling
    autogen.sh (fixes Lintian warning
    patch-system-but-direct-changes-in-diff)
  * debian/control: remove build dependencies to autoconf, automake and
    libtool
  * remove absolute path to update-cracklib from
    debian/cracklib-runtime.postinst (fixes Lintian warning
    command-with-path-in-maintainer-script)
  * update regular expression in debian/watch to not match obsolete 3.0pre
    versions

 -- Jan Dittberner <jan@dittberner.info>  Fri, 15 Aug 2008 20:52:29 +0200

cracklib2 (2.8.12-3) unstable; urgency=low

  * debian/control
    + remove Recommends for old wenglish package
    + add a reasonable description to python-cracklib (Closes: #492968)
  * fix Lintian info 'hypen-used-as-minus-sign' in
    debian/update-cracklib.8
  * debian/README.source file added

 -- Jan Dittberner <jan@dittberner.info>  Wed, 30 Jul 2008 23:33:35 +0200

cracklib2 (2.8.12-2) unstable; urgency=low

  * debian/patches/04-improved-python-binding.patch patches upstream
    python bindings to provide the functionallity and documentation
    strings python-crack had (upstream will apply this patch in the
    future)
  * debian/rules uses autogen.sh
  * only update cracklib dictionary if any of the source dictionaries has
    changed (Closes: #380546)
  * debian/control
    + make Conflicts/Replaces version specific to be compliant to policy
      section 2.5
    + add libtool, autoconf, and automake to build dependencies

 -- Jan Dittberner <jan@dittberner.info>  Tue, 15 Jul 2008 19:59:54 +0200

cracklib2 (2.8.12-1) unstable; urgency=low

  * switch to new upstream branch (Closes: #355692)
  * update copyright file to reflect the change from an Artistic License
    derivative license to the GPL-2 and mention new upstream
  * debian/rules
    + switch from cdbs to debhelper
    + change default dictionary path to /var/lib/cracklib/pw_dict
    + fix rpath issues in built utils using chrpath
  * debian/control
    + update to Standards-Version 3.8.0
    + add Homepage field
    + provide a new binary package python-cracklib using python-central
    + add Build-Depends for python-all, python-all-dev, python-central,
      quilt, and chrpath
    + add XS-Python and XB-Python fields to debian/control
    + rename binary package cracklib2 to libcrack2 and cracklib2-dev to
      libcrack2-dev, add the corresponding Provides, Conflicts and
      Replaces
    + make libcrack2-dev depend on libcrack2 with the same
      binary:Version
    + change Maintainer to Jan Dittberner
    + set Uploaders field to previous Maintainer Martin Pitt
    + add Vcs-Svn and Vcs-Svn-Browser to debian/control
  * fix debian/cracklib-runtime.preinst to use dpkg-query instead of
    directly accessing /var/lib/dpkg/status
  * add debian/pycompat for dh_python
  * update script update-cracklib to use cracklib-format and
    cracklib-packer
  * man pages for the new commands, updated existing man pages (Closes:
    #429993)
  * add debian/watch file for uscan
  * let debian/examples/cracklib_example.c use NULL to specify the default
    dictionary path
  * convert HTML documentation to DocBook XML and update it
  * fix man2html URLs in documentation to reflect man2html's current URL
    syntax
  * add README, README-DAWG, and README-WORDS from upstream package
  * add quilt rules to debian/rules
  * removed some Debian patches that are no longer required because of
    upstream improvements
  * debian/patches/05-mkdict.patch: Adapted to new upstream version,
    renamed to 01-cracklib-format-optim.patch.
  * debian/patches/07-ccwarnings.patch: Adapted to new upstream version,
    renamed to 02-ccwarnings.patch.
  * debian/patches/12-packer-dont-print-skipping-line.c.patch: Adapted to
    new upstream version, renamed to
    03-packer-dont-print-skipping-line.patch.

 -- Jan Dittberner <jan@dittberner.info>  Thu, 10 Jul 2008 21:20:38 +0200

cracklib2 (2.7-19.1) unstable; urgency=low

  * NMU
  * debian/rules:
    + Fixed FTBFS if built twice in a row, Thanks to Kumar Appaiah for
      help! (Closes: #424163, #442527)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 26 Mar 2008 21:17:44 +0530

cracklib2 (2.7-19) unstable; urgency=high

  * debian/patches/01-crack-h.patch: Change to apply with -p1 to fix FTBFS due
    to recent cdbs change. Thanks to Julien Cristau! (closes: #372273)

 -- Martin Pitt <mpitt@debian.org>  Sat, 10 Jun 2006 17:50:21 +0200

cracklib2 (2.7-18) unstable; urgency=low

  * debian/cracklib-runtime.{preinst,postinst}: Properly handle the
    /etc/cron.daily/cracklib -> cracklib-runtime transition. (closes: #316488)

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2005 00:14:50 +0300

cracklib2 (2.7-17) unstable; urgency=low

  * Converted to cdbs.
  * debian/control: Made short descriptions Policy conformant.
  * Added debian/patches/12-packer-dont-print-skipping-line.c.patch:
    - util/packer.c: Do not print a confusing "Skipping line..." message on
      empty lines in dictionaries. (closes: #304583)
  * debian/crack_mkdict.8: Fixed "utilties" typo. (closes: #310335)
  * debian/crack_teststr.8: Fixed "utilties" typo. (closes: #310336)

 -- Martin Pitt <mpitt@debian.org>  Wed,  8 Jun 2005 00:40:04 +0200

cracklib2 (2.7-16) unstable; urgency=high

  * Urgency high since this fixes an RC bug present in Sarge.
  * Added debian/patches/10-check-corrupt-dict.diff:
    - packlib.c, FindPW(): If GetPW() returns NULL we have a corrupt
      dictionary. Check for NULL and exit with an appropriate error message
      instead of strcmp()'ing against NULL which triggers a segfault.
  * Added debian/patches/11-mkdict-C-locale.diff:
    - Run crack_mkdict with locale C; other locales might mess up the
      dictionary.
    - Thanks to Kenshi Muto for his help with this bug.
    - Closes: #309746

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 May 2005 12:49:14 +0200

cracklib2 (2.7-15) unstable; urgency=high

  * Added missing "Depends: ${shlibs:Depends}" to cracklib-runtime. Thanks to
    Maks Attems for discovering this. (closes: #280668)
  * Urgency high since this is an RC bug and no code changes were made.

 -- Martin Pitt <mpitt@debian.org>  Thu, 11 Nov 2004 19:41:15 +0100

cracklib2 (2.7-14) unstable; urgency=low

  * cracklib-runtime: suggest non-virtual wordlist package 'wenglish' as first
    alternative (closes: #271282)

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Oct 2004 09:12:35 +0200

cracklib2 (2.7-13) unstable; urgency=low

  * overhauled HTML documentation (e. g. now describes integration with
    libpam-cracklib)
  * converted HTML documentation to XHTML 1.1
  * updated my maintainer address

 -- Martin Pitt <mpitt@debian.org>  Tue, 21 Oct 2003 15:53:29 +0200

cracklib2 (2.7-12) unstable; urgency=low

  * 09-multidicts.diff: fixes bug in packlib.c: dictionary search was faulty
    after dictionary switch; thanks to Chris Dunlop! (closes: #215085)

 -- Martin Pitt <martin@piware.de>  Fri, 10 Oct 2003 11:20:04 +0200

cracklib2 (2.7-11) unstable; urgency=low

  * updated Standards-Version
  * 08-dictsearch.diff: fixes bug in dictionary search algorithm, some words
    were not found before; thanks to Chris Dunlop!  (closes: #213574)

 -- Martin Pitt <martin@piware.de>  Wed,  1 Oct 2003 11:55:13 +0200

cracklib2 (2.7-10) unstable; urgency=low

  * changed priority of cracklib2-dev to extra, as in override file
  * utils/mkdict: changed order of commands to eliminate empty lines; thanks
    to Bart Cortooms! (closes: #199014)

 -- Martin Pitt <martin@piware.de>  Sun, 29 Jun 2003 15:52:24 +0200

cracklib2 (2.7-9) unstable; urgency=low

  * new maintainer (closes: #194025)
  * NMU acks (most of this stuff is not needed any more because of the new
    build system) (closes: #62393, #69187, #70239, #72244, #75376, #87355,
    #91135, #91136, #91407, #91414, #91429, #95291, #97705, #97855, #99512,
    #107112, #108822, #111525); thanks to Colin Watson, Sebastian Rittau, and
    Lenart Janos
  * debian/control: updated maintainer and standards-version, moved -dev to
    section libdevel
  * updated debian/copyright (maintainer, correct upstream URL)
  * rewrote debian/ directory from scratch
  * cracklib.conf now also searches in dictionary directories below /usr/local
    (closes: #46024)
  * cracklib-runtime recommends wordlist now (closes: #54214, #67856, #46025)
  * corrected all links in cracklib*.html (closes: #112238)
  * corrected SEE ALSO links in manpages (closes: #90718)
  * cracklib2-dev now comes with packer.h (closes: #173705)
  * moved functionality of cronjob to /usr/sbin/update-cracklib and call this
    script in cracklib-runtime's postinst (closes: #36976)
  * cronjob now logs to cron.info (was 'notice' before)
  * cronjob result output is now properly redirected to logger (closes:
    #45567)
  * packed wordlist are world-readable now (they are created from
    world-readable files, should be no problem) (closes: #146955)
  * removed 'readonly' variable attribute from cronjob since it is
    bash-specific (closes: #114749)
  * cracklib(3) is an alias (symlink) for FascistCheck(3) (closes: #90717)
  * cleaned up and documented example application
  * all files: deleted CVS references from former maintainer
  * deleted 'Local variables:' stuff at end of changelog
  * patch 07-ccwarnings.diff to eliminate all (but one) compiler warning
  * added linda overrides for nonstandard package name
  * added logcheck ignores for cronjob

 -- Martin Pitt <martin@piware.de>  Fri, 13 Jun 2003 10:37:10 +0200

cracklib2 (2.7-8.5) unstable; urgency=medium

  * Non-maintainer upload. Urgency medium as this is keeping other packages
    out of testing.
  * debian/dpkg.common/rules: Move calls to dpkg-shlibdeps and
    dpkg-gencontrol from the build target to binary, as dpkg-shlibdeps
    doesn't like being called as non-root (closes: #97855).
  * Call ldconfig without arguments, for the Hurd (closes: #108822).
  * Fix typo in crack_teststr(8)'s NAME section (closes: #99512).
  * Exit 0 and don't complain in the syslog if cracklib-runtime is removed
    but not purged (closes: #95291).
  * logger is no longer used as a result of the above (closes: #62393).

 -- Colin Watson <cjwatson@debian.org>  Wed,  3 Oct 2001 01:37:09 +0100

cracklib2 (2.7-8.4) unstable; urgency=low

  * Another non-maintainer upload to fix the disappearing changelog
    entry. (Closes: #111525)

 -- Sebastian Rittau <srittau@debian.org>  Sat,  8 Sep 2001 14:24:27 +0200

cracklib2 (2.7-8.3) unstable; urgency=low

  * Non-maintainer upload with permission of maintainer.
  * Closes an annoying warning produced by the cron.daily scipt when
    /bin/sh is linked against /bin/ash. (Closes: #107112)
  * Fixed a similar problem in debian/dpkg.common/clean.

 -- Sebastian Rittau <srittau@debian.org>  Wed,  5 Sep 2001 19:08:44 +0200

cracklib2 (2.7-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/dpkg.common/modifysrc: Support build environments where the
    .orig.tar.gz is not present in the parent directory (thanks, Mikko
    Markus Torni; closes: #87355).
  * debhelper namespacing was fixed in previous NMU, but fixed it more
    neatly while I'm here (closes: #75376).
  * Move to FHS locations for documentation (thanks, Jonathon M. Abbott;
    closes: #91135, #91136, #91407, #91414, #91429).
  * Don't link with -nodefaultlibs, as it has bad effects on some platforms
    (closes: #72244).
  * Add Section: and Priority: to the .deb's control file (lintian).
  * Bump Standards-Version: to 3.1.1 and add build-dependency on debhelper
    (>= 2.0.89) (closes: #70239).
  * Fixed debian/dpkg.common/{check,substfiles}: both of them grepped the
    output of dpkg-parsechangelog for "Version: " instead of "^Version: ",
    which broke with the above changelog entry.

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 May 2001 17:46:51 +0100

cracklib2 (2.7-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed path to Debhelper and added correct namespace, fixes Bug#69187.

 -- Lenart Janos <ocsi@debian.org>  Fri, 23 Feb 2001 18:34:33 +0100

cracklib2 (2.7-8) unstable; urgency=low

  * Corrected control file where shared library package was not correctly
    depending on shlibs information.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Fri,  2 Apr 1999 14:32:19 -0500

cracklib2 (2.7-7) unstable; urgency=low

  * Correct broken link to shared library.  Fixes Bug#35331.  Thanks to
    Hartmut Koptein <koptein@et-inf.fho-emden.de>.
  * Upgraded algorithm which decides which files in standard dictionary
    directories should be included in cracklib dictionary.  Now includes
    support for non-ASCII text and compressed text files.  Fixes
    Bug#27510.  Thanks to Francesco Potorti <F.Potorti@cnuce.cnr.it> and
    Julian Gilbey <J.D.Gilbey@qmw.ac.uk>.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Fri,  2 Apr 1999 08:58:56 -0500

cracklib2 (2.7-6) unstable; urgency=high

  * Corrected build programs that prevent inclusion of pristine upstream
    source.
  * Corrected cron.daily script to redirect message syslog per suggestion
    of Ralph Giles.  Fixes Bug#27511, Bug#27743, Bug#28897, Bug#29100,
    Bug#29500, Bug#29995, Bug#30576, Bug#31060, Bug#31666, Bug#31683,
    Bug#33042 and Bug#34782.  Thanks to Francesco Potorti
    <F.Potorti@cnuce.cnr.it>, J.H.M. Dassen <jdassen@wi.leidenuniv.nl>,
    Branden Robinson <branden@ecn.purdue.edu>, James Spooner
    <james@spoons.gen.nz>, Manoj Srivastava <srivasta@datasync.com>, Ben
    <pfaffben@pilot.msu.edu>, <aklein@eskimo.com>, Elie Rosenblum
    <fnord@jurai.net>, Ralph Giles <Ralph_Giles@sfu.ca>, Ian Eure
    <ieure@crosssound.narrows.com> and <jcjneudo@arclab.static.golden.net>.
  * Corrected control file by removing suggestion for non-existent
    cracklib-dict package.  I still intended to add this package in the
    future.  Fixes Bug#29300.  Thanks to Julian Gilbey
    <jdg@maths.qmw.ac.uk>.
  * Corrected control file by adding dependency on file package. Fixes
    Bug#31686.  Thanks to Ralph Giles <Ralph_Giles@sfu.ca>.
  * Upgraded crack_packer man-page to document output.  Fixes Bug#27511
    and Bug#28897. Thanks to Francesco Potorti <F.Potorti@cnuce.cnr.it>.
  * Upgraded to Debian policy standard version 2.5.0.0.
  * Upgraded control file to remove statement that cracklib is not used by
    other Debian packages.  Fixes Bug#27647.  Thanks to Chris
    <chris@ormond.unimelb.edu.au>.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Mon, 29 Mar 1999 07:27:17 -0500

cracklib2 (2.7-5) frozen unstable; urgency=low

  * Placed in frozen distribution.  Thanks to James Troup
    <J.J.Troup@scm.brad.ac.uk> (bug#20993).
  * Upgraded priority from extra to optional.
  * Upgraded package building architecture.
  * Upgraded HTML documentation to show how to use cracklib in Debian
    distribution.  Also reverted back to individual binary packages.
  * Upgraded doc-base title entry to be shorter since dhelp core dumps
    otherwise.
  * Removed menu files since they are generated directly by doc-base.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Sat, 18 Apr 1998 13:55:28 -0400

cracklib2 (2.7-4) unstable; urgency=low

  * Replaced documentation directories to symbolic links per Debian
    policy manual section 5.6.  Thanks to Gregory Stark
    <gsstark@mit.edu> (bug#19715).
  * Added section to explain briefly what modifications were
    made in the Debian version of the package compared to the upstream
    one per the Debian policy manual section 5.6.
  * Added separate menu and doc-base entry for dev package.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Tue,  7 Apr 1998 12:51:17 -0400

cracklib2 (2.7-3) unstable; urgency=low

  * Corrected incorrect reference to obsolete cracklib2.6 package in
    control file.
  * Corrected name of suggested dictionary package to crack-dict since this
    will be shared between crack and cracklib2.
  * Corrected Debian sections for source and binary packages.
  * Upgraded documentation in control file of cracklib2 binary package to
    notify users how cracklib2 can be used now since it will not be included in
    Debian 2.0.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Sat,  4 Apr 1998 09:55:41 -0500

cracklib2 (2.7-2) unstable; urgency=low

  * Upgraded postinst to call ldconfig on configuration.
  * Upgraded debian/rules to include target to check binary packages with
    lintian and HTML validation tools.
  * Upgraded default configuration file to add any ASCII text file in
    /usr/share/dict and /usr/dict to construct cracklib dictionary
    database. Thanks to Gregory Stark <gsstark@mit.edu> (bug#19714).
  * Upgraded man pages to have relative URI to HTML documentation.
  * Corrected misspelling in parameterized variable in FascistCheck man
    page. Thanks to Gregory Stark <gsstark@mit.edu> (bug#19715).
  * Moved removal of menu entry from prerm to postrm per lintian.
  * Moved dh_shlibdeps from build to binary since it now calls chown which
    requires root privileges.
  * Checked that package building and installation shell scripts work with
    bash, pdksh, and ash.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Tue, 31 Mar 1998 17:16:08 -0500

cracklib2 (2.7-1) unstable; urgency=low

  * Upgraded to new upstream source.
  * Upgraded documentation to indicated new upstream source location.
  * Corrected bug in doc-base configuration.
  * Removed #!/bin/sh header in non executable configuration file per
    lintian.
  * Changed package name from cracklib2.6 to cracklib2.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Sun,  8 Mar 1998 15:50:17 -0500

cracklib2.6 (2.6-1) unstable; urgency=low

  * Initial release.

 -- Jean Pierre LeJacq <jplejacq@quoininc.com>  Wed, 25 Feb 1998 09:21:54 -0500

